Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1551870 - [3.9]Continuously error info "record cannot use elasticsearch index name type project_full" in fluentd pod logs if use system container docker. [NEEDINFO]
Summary: [3.9]Continuously error info "record cannot use elasticsearch index name type...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.10.0
Assignee: Jeff Cantrill
QA Contact: Anping Li
URL:
Whiteboard:
Depends On: 1513408
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-06 03:14 UTC by Junqi Zhao
Modified: 2019-03-06 20:23 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of: 1513408
Environment:
Last Closed: 2019-03-06 20:23:22 UTC
Target Upstream Version:
anli: needinfo? (adellape)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin-aggregated-logging pull 898 None None None 2018-03-06 03:14:07 UTC
Github openshift origin-aggregated-logging pull 904 None None None 2018-03-06 03:14:07 UTC

Comment 1 Jeff Cantrill 2018-03-06 13:50:36 UTC
Is this currently an issue?  This change has been available since at least:

logging-fluentd-docker-v3.9.0-0.35.0.0

Comment 3 Junqi Zhao 2018-03-07 01:22:45 UTC
Since default log driver for system container docker is json-file, and /etc/sysconfig/docker uses json-file as default log driver since 3.9, in this case, there won't be problem.

If we change log driver as journald in /etc/docker/container-daemon.json, this will cause problems too

Comment 4 Rich Megginson 2018-03-07 01:23:30 UTC
Good grief - how many different configuration files are there for docker???

Comment 5 Anping Li 2018-03-07 02:44:34 UTC
when coreos rkt is supported, We may add more !!

Comment 6 Junqi Zhao 2018-03-07 03:31:35 UTC
(In reply to Rich Megginson from comment #4)
> Good grief - how many different configuration files are there for docker???

currently, there are 3 configuration files
1. /etc/docker/daemon.json
2. /etc/sysconfig/docker
3. /etc/docker/container-daemon.json for system container docker

Move it to Assigned

Comment 8 Anping Li 2018-03-27 02:57:18 UTC
@Alex, Could we add this bug to Release nodes? I think it is a  very important when use logging on system container OCP.


Note You need to log in before you can comment on or make changes to this bug.